Commit cc8fa3e5 authored by Benjamin Neff's avatar Benjamin Neff

Merge pull request #7532 from svbergerem/update-gems

Update gems
parents fa0b78f5 3c59bcc4
......@@ -18,7 +18,7 @@ gem "diaspora_federation-rails", "0.2.1"
# API and JSON
gem "acts_as_api", "1.0.0"
gem "acts_as_api", "1.0.1"
gem "json", "2.1.0"
gem "json-schema", "2.8.0"
......@@ -53,7 +53,7 @@ gem "rack-cors", "1.0.1", require: "rack/cors"
# CSS
gem "autoprefixer-rails", "7.1.2.3"
gem "autoprefixer-rails", "7.1.2.4"
gem "bootstrap-sass", "3.3.7"
gem "bootstrap-switch-rails", "3.3.3"
gem "compass-rails", "3.0.2"
......@@ -63,7 +63,7 @@ gem "sprockets-rails", "3.2.0"
# Database
group :mysql, optional: true do
gem "mysql2", "0.4.8"
gem "mysql2", "0.4.9"
end
group :postgresql, optional: true do
gem "pg", "0.21.0"
......@@ -159,7 +159,7 @@ gem "twitter", "6.1.0"
gem "omniauth-wordpress", "0.2.2"
# OpenID Connect
gem "openid_connect", "1.1.2"
gem "openid_connect", "1.1.3"
# Serializers
......@@ -204,7 +204,7 @@ gem "rubyzip", "1.2.1", require: "zip"
# https://github.com/discourse/discourse/pull/238
gem "minitest"
gem "versionist", "1.5.0"
gem "versionist", "1.6.0"
# Prevent accidental upgrades of thor
# TODO: remove this when either all gems depending on thor have fixed the warnings
......@@ -283,9 +283,9 @@ group :test do
# Cucumber (integration tests)
gem "capybara", "2.14.4"
gem "capybara", "2.15.1"
gem "database_cleaner", "1.6.1"
gem "poltergeist", "1.15.0"
gem "poltergeist", "1.16.0"
gem "cucumber-api-steps", "0.13", require: false
......@@ -304,13 +304,13 @@ end
group :development, :test do
# RSpec (unit tests, some integration tests)
gem "rspec-rails", "3.6.0"
gem "rspec-rails", "3.6.1"
# Cucumber (integration tests)
gem "cucumber-rails", "1.5.0", require: false
# Jasmine (client side application tests (JS))
gem "jasmine", "2.6.0"
gem "jasmine", "2.7.0"
gem "jasmine-jquery-rails", "2.0.3"
gem "rails-assets-jasmine-ajax", "3.3.1", source: "https://rails-assets.org"
gem "sinon-rails", "1.15.0"
......
......@@ -46,7 +46,7 @@ GEM
tzinfo (~> 1.1)
acts-as-taggable-on (5.0.0)
activerecord (>= 4.2.8)
acts_as_api (1.0.0)
acts_as_api (1.0.1)
activemodel (>= 3.0.0)
activesupport (>= 3.0.0)
rack (>= 1.1.0)
......@@ -60,7 +60,7 @@ GEM
unf
ast (2.3.0)
attr_required (1.0.1)
autoprefixer-rails (7.1.2.3)
autoprefixer-rails (7.1.2.4)
execjs
bcrypt (3.1.11)
bindata (2.4.0)
......@@ -71,9 +71,9 @@ GEM
buftok (0.2.0)
builder (3.2.3)
byebug (9.0.6)
capybara (2.14.4)
capybara (2.15.1)
addressable
mime-types (>= 1.16)
mini_mime (>= 0.1.3)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
......@@ -195,7 +195,7 @@ GEM
tzinfo
ethon (0.10.1)
ffi (>= 1.3.0)
excon (0.57.1)
excon (0.58.0)
execjs (2.7.0)
eye (0.9.2)
celluloid (~> 0.17.3)
......@@ -225,9 +225,9 @@ GEM
fog-json (~> 1.0)
fog-xml (~> 0.1)
ipaddress (~> 0.8)
fog-core (1.44.3)
fog-core (1.45.0)
builder
excon (~> 0.49)
excon (~> 0.58)
formatador (~> 0.2)
fog-json (1.0.2)
fog-core (~> 1.0)
......@@ -272,7 +272,7 @@ GEM
guard-rubocop (1.3.0)
guard (~> 2.0)
rubocop (~> 0.20)
haml (5.0.1)
haml (5.0.2)
temple (>= 0.8.0)
tilt
haml_lint (0.26.0)
......@@ -289,9 +289,9 @@ GEM
execjs (~> 2.0)
sprockets (>= 2.0.0)
tilt (>= 1.2)
hashdiff (0.3.4)
hashdiff (0.3.5)
hashie (3.5.6)
hitimes (1.2.5)
hitimes (1.2.6)
http (2.2.2)
addressable (~> 2.3)
http-cookie (~> 1.0)
......@@ -313,12 +313,12 @@ GEM
i18n-inflector (~> 2.6)
railties (>= 3.0.0)
ipaddress (0.8.3)
jasmine (2.6.0)
jasmine-core (>= 2.6.0, < 3.0.0)
jasmine (2.7.0)
jasmine-core (>= 2.7.0, < 3.0.0)
phantomjs
rack (>= 1.2.1)
rake
jasmine-core (2.6.4)
jasmine-core (2.7.0)
jasmine-jquery-rails (2.0.3)
jquery-rails (4.3.1)
rails-dom-testing (>= 1, < 3)
......@@ -342,7 +342,7 @@ GEM
json-schema-rspec (0.0.4)
json-schema (~> 2.5)
rspec
jsonpath (0.8.5)
jsonpath (0.8.7)
multi_json
jwt (1.5.6)
kgio (2.11.0)
......@@ -373,6 +373,7 @@ GEM
mime-types-data (~> 3.2015)
mime-types-data (3.2016.0521)
mini_magick (4.8.0)
mini_mime (0.1.4)
mini_portile2 (2.2.0)
minitest (5.10.3)
mobile_fu (1.4.0)
......@@ -382,7 +383,7 @@ GEM
multi_test (0.1.2)
multi_xml (0.6.0)
multipart-post (2.0.0)
mysql2 (0.4.8)
mysql2 (0.4.9)
naught (1.1.0)
nenv (0.3.0)
nio4r (2.1.0)
......@@ -422,7 +423,7 @@ GEM
open_graph_reader (0.6.2)
faraday (>= 0.9.0)
nokogiri (~> 1.6)
openid_connect (1.1.2)
openid_connect (1.1.3)
activemodel
attr_required (>= 1.0.0)
json (>= 1.4.3)
......@@ -439,7 +440,7 @@ GEM
ast (~> 2.2)
pg (0.21.0)
phantomjs (2.1.1.0)
poltergeist (1.15.0)
poltergeist (1.16.0)
capybara (~> 2.1)
cliver (~> 0.3.1)
websocket-driver (>= 0.2.0)
......@@ -525,7 +526,7 @@ GEM
rails-assets-favico.js (0.3.10)
rails-assets-fine-uploader (5.13.0)
rails-assets-highlightjs (9.12.0)
rails-assets-jasmine (2.6.4)
rails-assets-jasmine (2.7.0)
rails-assets-jasmine-ajax (3.3.1)
rails-assets-jasmine (~> 2)
rails-assets-jquery (3.2.1)
......@@ -573,7 +574,7 @@ GEM
thor (>= 0.18.1, < 2.0)
rainbow (2.2.2)
rake
raindrops (0.18.0)
raindrops (0.19.0)
rake (12.0.0)
rb-fsevent (0.10.2)
rb-inotify (0.9.10)
......@@ -597,7 +598,7 @@ GEM
rspec-mocks (3.6.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.6.0)
rspec-rails (3.6.0)
rspec-rails (3.6.1)
actionpack (>= 3.0)
activesupport (>= 3.0)
railties (>= 3.0)
......@@ -736,7 +737,7 @@ GEM
validate_url (1.0.2)
activemodel (>= 3.0.0)
addressable
versionist (1.5.0)
versionist (1.6.0)
activesupport (>= 3)
railties (>= 3)
yard (~> 0.7)
......@@ -765,13 +766,13 @@ DEPENDENCIES
active_model_serializers (= 0.9.7)
activerecord-import (= 0.19.1)
acts-as-taggable-on (= 5.0.0)
acts_as_api (= 1.0.0)
acts_as_api (= 1.0.1)
addressable (= 2.5.1)
asset_sync (= 2.2.0)
autoprefixer-rails (= 7.1.2.3)
autoprefixer-rails (= 7.1.2.4)
bootstrap-sass (= 3.3.7)
bootstrap-switch-rails (= 3.3.3)
capybara (= 2.14.4)
capybara (= 2.15.1)
carrierwave (= 1.1.0)
compass-rails (= 3.0.2)
configurate (= 0.3.1)
......@@ -804,7 +805,7 @@ DEPENDENCIES
handlebars_assets (= 0.23.2)
http_accept_language (= 2.1.1)
i18n-inflector-rails (= 1.0.7)
jasmine (= 2.6.0)
jasmine (= 2.7.0)
jasmine-jquery-rails (= 2.0.3)
jquery-rails (= 4.3.1)
js-routes (= 1.3.3)
......@@ -818,7 +819,7 @@ DEPENDENCIES
mini_magick (= 4.8.0)
minitest
mobile_fu (= 1.4.0)
mysql2 (= 0.4.8)
mysql2 (= 0.4.9)
nokogiri (= 1.8.0)
omniauth (= 1.6.1)
omniauth-facebook (= 4.0.0)
......@@ -826,9 +827,9 @@ DEPENDENCIES
omniauth-twitter (= 1.4.0)
omniauth-wordpress (= 0.2.2)
open_graph_reader (= 0.6.2)
openid_connect (= 1.1.2)
openid_connect (= 1.1.3)
pg (= 0.21.0)
poltergeist (= 1.15.0)
poltergeist (= 1.16.0)
pronto (= 0.9.4)
pronto-eslint (= 0.9.1)
pronto-haml (= 0.9.0)
......@@ -872,7 +873,7 @@ DEPENDENCIES
redcarpet (= 3.4.0)
responders (= 2.4.0)
rspec-json_expectations (~> 2.1)
rspec-rails (= 3.6.0)
rspec-rails (= 3.6.1)
rubocop (= 0.49.1)
ruby-oembed (= 0.12.0)
rubyzip (= 1.2.1)
......@@ -899,7 +900,7 @@ DEPENDENCIES
unicorn (= 5.3.0)
unicorn-worker-killer (= 0.4.4)
uuid (= 2.3.8)
versionist (= 1.5.0)
versionist (= 1.6.0)
webmock (= 3.0.1)
will_paginate (= 3.1.6)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment